Description

Supportanfrage

Ich habe wie vorgeschlagen (siehe #12513#note-12) den User in einer Config-Datei den Struct-Namen angeben lassen. Aus einer
DDL wird dann das property "md_definitions" extrahiert.
Das funktioniert gut, solange ich nicht bestimmte StreamTypes gleichzeitig in der DDL haben will.

Konkret gibt es Probleme, wenn man CAN und CANFD in der DDL nutzt. Da beide das Enum "eDataFlags" nutzen. Dieses Enum hat
bei CANFD jedoch ein Element mehr als bei CAN. Somit erstelle ich fiir eines der beiden immer ein falsches "md_definitions" und in
meinem StreamType-Check wird dieser Stream dann abgelehnt.

Da mein Filter generisch sein soll, kann ich intern nicht einfach auf die "md_definitions" Definition fir CAN oder CANFD aus der
Devicetoolbox gehen. Allerdings féllt mir aktuell auch keine sinnvolle Lésung ein, wie ich das Problem mit der doppelten Definition
von "eDataFlags" in einer DDL I6sen kann.

Habt ihr hierfar Tipps?

Ein weiteres Problem habe ich mit dem SomelP Typen. Laut der Beschreibung in der Devicetoolbox (3.3.0) ist "md_struct” bei
diesem Typen "tSomelpSampel". Im "md_definitions" wird das Struct jedoch "tSomelpSampleHeader" genannt.

Mein Filter wiirde folglich nach dem Struct "tSomelpSampel" suchen, es nicht finden und somit eine falsche "md_definitions"
erstellen.

Ist diese ungleiche Benennung des Structs von euch beabsichtigt oder ein Versehen, was kiinftig noch behoben wird?

Wenn es so bleibt, miisste ich wohl die Anpassung des Namens hardcoden. Dies fande ich allerdings auBBerst unschdn. Daher wirde
ich mich Uber eine Anpassung freuen. Cool wéren dann auch unterschiedliche Enum-Namen bei CAN und CANFD :)

Lésung

Thema 1: tCANFDData / tCANData und eDataFlags ...

Du hast recht, das ist an der Stelle wirklich ungltcklich. Ich habe dafir ein Ticket erstellt:
https://www.cip.audi.de/jira/browse/ADEVTB-1925.

Das werden wir &ndern. Bis dahin habe ich folgenden Workaround fir dich:

e Mehrere DDL Dateien verwenden, die der Nutzer angeben kann. Dann kommen sich diese nicht gegenseitig in die Quere. Der
Code, den ich Dir geschickt hatte im letzten Ticket ist fahig dazu, da innerhalb von ADTF auf den Streamtypen und deren
MediaDescription immer getrennt voneinander betrachtet werden.

¢ Du "patched" du immer zu den Typ des Enums "eDataFlags" von tCANFDData bevor Du den Vergleich machst bzw. bevor Du
den StreamType auf den Input oder Output Pin setzst

Thema 2: tSomelpSample / tSomelpSampleHeader

Das ist wirklich besonders unglicklich. Ich habe auch dafir ein Ticket erstellt: https:/www.cip.audi.de/jira/browse/ADEVTB-1924.

Als Workaraund kann ich leider nur eine Sonderbehandlung vorschlagen momentan, sodass du in deinem Code tSomelpSample und
tSomelpSampleHeader als synonyme behandelst.
#5 - 2021-01-22 09:37 - hidden
Hallo Claudia,
Thema 1: tCANFDData / tCANData und eDataFlags ...

Du hast recht, das ist an der Stelle wirklich unglicklich. Ich habe dafir ein Ticket erstellt: https://www.cip.audi.de/jira/browse/ADEVTB-1925.
Das werden wir &ndern. Bis dahin habe ich folgenden Workaround fir dich:

e Mehrere DDL Dateien verwenden, die der Nutzer angeben kann. Dann kommen sich diese nicht gegenseitig in die Quere. Der Code, den ich Dir
geschickt hatte im letzten Ticket ist fahig dazu, da innerhalb von ADTF auf den Streamtypen und deren MediaDescription immer getrennt
voneinander betrachtet werden.

e Du "patched" du immer zu den Typ des Enums "eDataFlags" von tCANFDData bevor Du den Vergleich machst bzw. bevor Du den StreamType
auf den Input oder Output Pin setzst

Thema 2: tSomelpSample / tSomelpSampleHeader

Das ist wirklich besonders unglicklich. Ich habe auch dafir ein Ticket erstellt: https://www.cip.audi.de/jira/browse/ADEVTB-1924.

Als Workaraund kann ich leider nur eine Sonderbehandlung vorschlagen momentan, sodass du in deinem Code tSomelpSample und
tSomelpSampleHeader als synonyme behandelst.

Die Produkttickets werden in einer zuklnftigen Version geldst.

Viele Gru3e Pierre
- Status changed from In Progress to Customer Feedback Required

#7 - 2021-01-26 16:46 - hidden

Hi Pierre,
vielen Dank fur die Lésungsvorschlage.

Sonderbehandlungen sind nicht besonders toll, daher habe ich mir Gberlegt, dass ich nicht die DDL zum im "md_struct" angegebene Struct ermittel,
sondern dass in der ConfigDatei das property "md_definitions" mit dem korrekten Struct befillt wird (also tSomelpSampleHeader").

Dies hat gleichzeitig den Vorteil, dass ich nur die DDL ermittel, wenn das property "md_definitions" in der Config auch gesetzt ist. Sonst hétte ich
namlich wieder Probleme mit Streams, welche dieses Property gar nicht haben - z.B. Image oder Audi Stream.

Das Ticket kannst du jetzt gern schlieB3en :)

Viele GriBe
Claudia

#8 - 2021-01-26 17:05 - hidden

- Project changed from 11 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADEVTB-1925; https://www.cip.audi.de/jira/browse/ADEVTB-1924
- Support Level changed from 2nd Level to 3rd Level

Hallo Claudia,
Hallo zusammen,

ich hoffe, es ist ok, wenn ich nochmal in diesem Ticket was zum Thema frage...
Wir haben mit der Definition der StreamTypes nun doch noch ein Problem, da mein Workaround nicht fiir Kollegen aus anderen Projekten
funktioniert.

Aktuell fragen wir uns auch, in wie weit, ADTF kunftig noch die .description Dateien verwendet bzw. in welche Richtung sich diese entwickeln werden
und ob es sinnvoll ist, euer DDL-Format fiir unsere Config zu nutzen.

Die Schilderung unserer derzeitigen Probleme im Detail ist per Mail eher schwierig. Ware es moglich mit euch zusammen mal eine Telko zu machen?

Viele GruB3e
Claudia
